#
# spec file for package jakarta-taglibs-standard (Version 1.1.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl ant attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat-32bit file filesystem fillup findutils flex fontconfig-32bit freetype2-32bit gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv java-1_4_2-sun java-1_4_2-sun-devel jpackage-utils klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed servletapi5 strace sysvinit tar tcpd texinfo timezone unzip update-alternatives util-linux vim xerces-j2 xml-commons xml-commons-apis xorg-x11-libs-32bit zlib zlib-32bit zlib-devel

Name:           jakarta-taglibs-standard
BuildRequires:  ant java-1_4_2-sun-devel servletapi5 update-alternatives xml-commons-apis
%define base_name       standard
%define short_name      taglibs-%{base_name}
%define name            jakarta-%{short_name}
%define section         free
%define jversion	1.1.1
%define version		1.1.1
%define release		4jpp
Version:        1.1.1
Release:        20.2
Summary:        Open Source Implementation of the JSP Standard Tag Library
License:        Apache
Group:          Development/Libraries/Java
URL:            http://jakarta.apache.org/taglibs/
Source:         http://www.apache.org/dist/jakarta/taglibs/standard/source/jakarta-taglibs-standard-%{jversion}-src.tar.gz
Patch0:         jakarta-taglibs-standard-%{version}-build.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       servletapi5 >= 0:5.0.16

%description
This package contains releases for the 1.1.x versions of the Standard
Tag Library, Jakarta Taglibs's open source implementation of the JSP
Standard Tag Library (JSTL), version 1.1. JSTL is a standard under the
Java Community Process.



%debug_package
%package        javadoc
PreReq:         coreutils
Summary:        Javadoc for jakarta-taglibs-standard
Group:          Development/Libraries/Java

%description    javadoc
This package contains the javadoc documentation for Jakarta Taglibs.



%prep
%setup -q -n %{name}-%{jversion}-src
%patch0
cat > build.properties <<EOBP
build.dir=build
dist.dir=dist
servlet24.jar=$(build-classpath servletapi5)
jsp20.jar=$(build-classpath jspapi)
EOBP

%build
ant \
  -Dfinal.name=%{short_name} \
  -Dj2se.javadoc=%{_javadocdir}/java \
  -f standard/build.xml \
  dist

%install
# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p standard/dist/standard/lib/jstl.jar $RPM_BUILD_ROOT%{_javadir}/jakarta-taglibs-core-%{version}.jar
cp -p standard/dist/standard/lib/standard.jar $RPM_BUILD_ROOT%{_javadir}/jakarta-taglibs-standard-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|jakarta-||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr standard/dist/standard/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(0644,root,root,0755)
%doc standard/README_src.txt standard/README_bin.txt standard/dist/doc/doc/standard-doc/*.html
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog -n jakarta-taglibs-standard
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jul 28 2005 - jsmeix@suse.de
- Adjustments in the spec file.
* Mon Jul 18 2005 - jsmeix@suse.de
- Current version 1.1.1 from JPackage.org
* Thu Sep 16 2004 - skh@suse.de
- Fix prerequires of javadoc subpackage
* Mon Sep 06 2004 - skh@suse.de
- Initial package created with version 1.1.1 (JPackage 1.5)
